Subject: rfc 2205 clarification

From: Suman S K <[email-masked]>
Date: Tue, 29 May 2001 16:58:27 +0530

Hi,
It may not be elegant to ask basic question like this but
I am new to RSVP field. While going through rfc 2205 I found difficulty in understanding rsvp message loop.

rfc 2205 states that "
      Forwarding of RSVP messages must avoid looping.  In steady 
      state,Path and Resv messages are forwarded on each hop only
      once per refresh period.  This avoids looping packets, but 
      there is still the possibility of an "auto-refresh" loop, 
      clocked by the refresh period.  Such auto-refresh loops keep 
      state active "forever", even if the end nodes have ceased 
      refreshing it, until the receivers leave the multicast group 
      and/or the senders stop sending Path messages.  On the other 
      hand, error and tear down messages are forwarded immediately 
      and are therefore subject to direct looping."
What is this auto-refresh loop ? 
I will be thankful if any one explains this concept in detail.

Thanks in advance.
Regards
Suman

---

From: "Amarendra" <[email-masked]>
Date: Wed, 30 May 2001 08:45:37 +0530

Hi Suman
I am forwarding a mail from mpls mailing list. I hope it will help u.
Please go through this mail.

Regards
Amarendra

----- Original Message -----
From: "David Charlap" <[email-masked]>
To: <[email-masked]>
Sent: Friday, May 25, 2001 1:18 AM
Subject: Re:

> divya mattey wrote:
> >
> > Can anybody tell me what is 'auto refresh loop' in
> > RSVP? RFC2205 is not very clear about that.
>
> RSVP routers refresh their state on a timer.  This is the definition of
> soft state.
>
> If there is a loop, the router at the point where the path connects back
> to itself may continue receiving refreshes from the router the loop is
> coming from, even through the ingress has stopped refreshing the state.
> This leads to a circular topology where everybody is refreshing state
> unnecessarily.
>
> Section 3.4 of RFC 2205 describes what has been done in the protocol to
> prevent these kinds of loops from happening.
>
> Note, however, that with the TE extensions, looping should not happen in
> the first place.  For a Path that has no ERO object, behavior is similar
> to that of RFC 2205.  For a Path that has an ERO consisting entirely of
> strict hops, any looping will be due to the ingress router deliberately
> creating it - meaning the problem is with whatever entity generated that
> ERO.  A Path with an ERO that has loose subobjects may loop, but this is
> solved by using the RRO object - which is mandatory when a loose-ERO is
> present.
>
> -- David